/// <reference types="node" />
import * as fs from 'fs';
import * as fsStat from '@nodelib/fs.stat';
export default abstract class FileSystem<TReaddir, TStat> {
    abstract readdir(path: fs.PathLike): TReaddir;
    abstract stat(path: fs.PathLike, options: fsStat.Options): TStat;
}
export declare class FileSystemSync extends FileSystem<string[], fs.Stats> {
    readdir(path: fs.PathLike): string[];
    stat(path: fs.PathLike, options: fsStat.Options): fs.Stats;
}
export declare class FileSystemAsync extends FileSystem<Promise<string[]>, Promise<fs.Stats>> {
    readdir(path: fs.PathLike): Promise<string[]>;
    stat(path: fs.PathLike, options: fsStat.Options): Promise<fs.Stats>;
}
