"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const fsStat = require("@nodelib/fs.stat");
class FileSystem {
}
exports.default = FileSystem;
class FileSystemSync extends FileSystem {
    readdir(path) {
        return fs.readdirSync(path);
    }
    stat(path, options) {
        return fsStat.statSync(path, options);
    }
}
exports.FileSystemSync = FileSystemSync;
class FileSystemAsync extends FileSystem {
    readdir(path) {
        return new Promise((resolve, reject) => {
            fs.readdir(path, (err, entries) => err ? reject(err) : resolve(entries));
        });
    }
    stat(path, options) {
        return fsStat.stat(path, options);
    }
}
exports.FileSystemAsync = FileSystemAsync;
