/// <reference types="node" />
import * as fs from 'fs';
import { FilterFunction, Options, PreFilterFunction, SortFunction } from './managers/options';
import { DirEntry } from './types/entry';
/**
 * Asynchronous API.
 */
export declare function scandir(path: fs.PathLike, opts?: Options): Promise<DirEntry[]>;
/**
 * Synchronous API.
 */
export declare function scandirSync(path: fs.PathLike, opts?: Options): DirEntry[];
export declare type DirEntry = DirEntry;
export declare type Options = Options;
export declare type PreFilterFunction = PreFilterFunction;
export declare type FilterFunction = FilterFunction;
export declare type SortFunction = SortFunction;
