"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fsAdapter = require("./adapters/fs");
const optionsManager = require("./managers/options");
const scandirProvider = require("./providers/scandir");
const fsAdapterAsync = new fsAdapter.FileSystemAsync();
const fsAdapterSync = new fsAdapter.FileSystemSync();
/**
 * Asynchronous API.
 */
function scandir(path, opts) {
    return scandirProvider.async(fsAdapterAsync, path, optionsManager.prepare(opts));
}
exports.scandir = scandir;
/**
 * Synchronous API.
 */
function scandirSync(path, opts) {
    return scandirProvider.sync(fsAdapterSync, path, optionsManager.prepare(opts));
}
exports.scandirSync = scandirSync;
