import { DirEntry } from '../types/entry';
export declare type PreFilterFunction = (name: string) => boolean;
export declare type FilterFunction = (entry: DirEntry) => boolean;
export declare type SortFunction = (a: DirEntry, b: DirEntry) => number;
export interface Options {
    stats?: boolean;
    followSymlinks?: boolean;
    throwErrorOnBrokenSymlinks?: boolean;
    preFilter?: PreFilterFunction | null;
    filter?: FilterFunction | null;
    sort?: SortFunction | null;
}
export declare type StrictOptions = Required<Options>;
export declare function prepare(options?: Options): StrictOptions;
